Index: c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
+++ c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
@@ -0,0 +1,36 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+## C sources
+C_FILES = c_clock.c
+
+H_FILES = c_clock.h
+noinst_HEADERS = $(H_FILES)
+
+c_clock_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../automake/lib.am
+
+$(PROJECT_INCLUDE)/libcpu:
+	$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/libcpu/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
+$(PROJECT_INCLUDE)/libcpu/c_clock.h
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+AM_CFLAGS = $(CFLAGS_OS_V)
+
+all-local: ${ARCH} $(c_clock_rel_OBJECTS) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES)
+
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.in	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
+++ 	(revision )
@@ -1,74 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ../..
-subdir = mpc6xx/clock
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-# C source names, if any, go here -- minus the .c
-C_PIECES = c_clock
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-H_FILES = $(srcdir)/c_clock.h
-
-# Assembly source names, if any, go here -- minus the .S
-S_PIECES =
-S_FILES = $(S_PIECES:%=%.S)
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
-
-INSTALLDIRS = $(PROJECT_INCLUDE)/libcpu
-
-$(INSTALLDIRS):
-	@$(mkinstalldirs) $(INSTALLDIRS)
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(SRCS) preinstall $(OBJS)
-
-preinstall: $(INSTALLDIRS) $(H_FILES)
-	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install: all
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
+++ c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
@@ -0,0 +1,44 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+PGM = ${ARCH}/exceptions.rel
+
+## C sources
+C_FILES = raw_exception.c
+
+## Assembly sources
+S_FILES = asm_utils.S
+
+H_FILES = raw_exception.h
+noinst_HEADERS = $(H_FILES)
+
+exceptions_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o) $(S_FILES:%.S=${ARCH}/%.o)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../automake/lib.am
+
+$(PROJECT_INCLUDE)/libcpu:
+	$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/libcpu/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
+$(PROJECT_INCLUDE)/libcpu/raw_exception.h
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+AM_CFLAGS = $(CFLAGS_OS_V)
+
+$(PGM): $(exceptions_rel_OBJECTS)
+	$(make-rel)
+
+all-local: ${ARCH} $(PGM) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES) $(S_FILES)
+
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.in	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
+++ 	(revision )
@@ -1,79 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ../..
-subdir = mpc6xx/exceptions
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-PGM = ${ARCH}/exceptions.rel
-
-# C source names, if any, go here -- minus the .c
-C_PIECES = raw_exception
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-H_FILES = $(srcdir)/raw_exception.h
-
-# Assembly source names, if any, go here -- minus the .S
-S_PIECES = asm_utils
-S_FILES = $(S_PIECES:%=%.S)
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
-
-INSTALLDIRS = $(PROJECT_INCLUDE)/libcpu
-
-$(INSTALLDIRS):
-	@$(mkinstalldirs) $(INSTALLDIRS)
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-${PGM}: ${OBJS}
-	$(make-rel)
-
-preinstall: $(INSTALLDIRS) $(H_FILES)
-	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
-
-all: ${ARCH} $(SRCS) preinstall $(PGM)
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install: all
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
+++ c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
@@ -0,0 +1,43 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+PGM = ${ARCH}/mmu.rel
+
+## C sources
+C_FILES = bat.c
+
+## Assembly sources
+S_FILES = mmuAsm.S
+
+H_FILES = bat.h
+noinst_HEADERS = $(H_FILES)
+
+mmu_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o) $(S_FILES:%.S=${ARCH}/%.o)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../automake/lib.am
+
+$(PROJECT_INCLUDE)/libcpu:
+	$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/libcpu/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu $(PROJECT_INCLUDE)/libcpu/bat.h
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+AM_CFLAGS = $(CFLAGS_OS_V)
+
+$(PGM): $(mmu_rel_OBJECTS)
+	$(make-rel)
+
+all-local: ${ARCH} $(PGM) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES) $(S_FILES)
+
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.in	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
+++ 	(revision )
@@ -1,79 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ../..
-subdir = mpc6xx/mmu
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-PGM = ${ARCH}/mmu.rel
-
-# C source names, if any, go here -- minus the .c
-C_PIECES = bat
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-H_FILES = $(srcdir)/bat.h
-
-# Assembly source names, if any, go here -- minus the .S
-S_PIECES = mmuAsm
-S_FILES = $(S_PIECES:%=%.S)
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
-
-INSTALLDIRS = $(PROJECT_INCLUDE)/libcpu
-
-$(INSTALLDIRS):
-	@$(mkinstalldirs) $(INSTALLDIRS)
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-${PGM}: ${OBJS}
-	$(make-rel)
-
-preinstall: $(INSTALLDIRS) $(H_FILES)
-	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
-
-all: ${ARCH} $(SRCS) preinstall $(PGM)
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install: all
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
+++ c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
@@ -0,0 +1,30 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+PGM = ${ARCH}/timer.rel
+
+## C sources
+C_FILES = timer.c
+
+timer_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+AM_CFLAGS = $(CFLAGS_OS_V)
+
+$(PGM): $(timer_rel_OBJECTS)
+	$(make-rel)
+
+all-local: ${ARCH} $(PGM)
+
+EXTRA_DIST = $(C_FILES)
+
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.in	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
+++ 	(revision )
@@ -1,65 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ../../..
-subdir = powerpc/mpc6xx/timer
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-# C source names, if any, go here -- minus the .c
-C_PIECES = timer
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-H_FILES = 
-
-# Assembly source names, if any, go here -- minus the .S
-S_PIECES =
-S_FILES = $(S_PIECES:%=%.S)
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-all: ${ARCH} $(SRCS) $(OBJS)
-
-# the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install: all
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
+++ c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.am	(revision bc2f04f8a8192e148ca9832c49c1c73a445f4310)
@@ -0,0 +1,31 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+# PROC_SPECIFIC_O_FILES = exceptions mmu clock
+PROC_SPECIFIC_O_FILES = exceptions mmu
+GENERIC_FILES =
+
+# bummer; have to use $foreach since % pattern subst rules only replace 1x
+OBJS = $(foreach piece, $(PROC_SPECIFIC_O_FILES), \
+    ../../mpc6xx/$(piece)/$(ARCH)/*.o) $(foreach piece, $(GENERIC_FILES), \
+    ../../mpc6xx/$(piece)/$(ARCH)/*.o)
+LIB = $(ARCH)/libcpuspec.a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): ${OBJS}
+	echo $(OBJ)
+	$(make-library)
+	cp $(LIB) ..
+
+all-local: ${ARCH} $(LIB)
+
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.in	(revision 0ff37e686676453cfa6addb4ddfc71ada9e4c4dd)
+++ 	(revision )
@@ -1,62 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ../..
-subdir = mpc6xx/wrapup
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-# PROC_SPECIFIC_O_PIECES = exceptions mmu clock
-PROC_SPECIFIC_O_PIECES = exceptions mmu
-GENERIC_PIECES =
-
-# bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(PROC_SPECIFIC_O_PIECES), \
-    ../../mpc6xx/$(piece)/$(ARCH)/*.o) $(foreach piece, $(GENERIC_PIECES), \
-    ../../mpc6xx/$(piece)/$(ARCH)/*.o)
-LIB = $(ARCH)/libcpuspec.a
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-$(LIB): ${OBJS}
-	echo $(OBJ)
-	$(make-library)
-	cp $(LIB) ..
-
-all: ${ARCH} $(SRCS) $(LIB)
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
